How can we help?

Home > Integrations > Turnitin Partner Integrations > Moodle > Moodle Direct V1 > Direct V1 Integration Administrator User Manual > The Moodle Direct Code Package

The Moodle Direct Code Package

Table of contents
No headers

As a Turnitin administrator, you must first configure the Moodle integration before the code packages can be installed. You should log into your Turnitin account at www.turnitin.com.

 

1. To configure and download the Moodle Direct code package, log in as the Turnitin account administrator on http://turnitin.com or http://turnitinuk.com if you are in the UK

 

 

2. At the top right of your screen click on the Log In button

 

 

3. Enter your email address and password, then click the Log In button again.

 

 

4. Click on the Integrations button for the account.

 

4a. If purchased, the Unconfigured button will appear under the Integrations column. If the integration has not been configured, click on the Unconfigured button.

 

 

Screen Shot 2015-08-12 at 2.21.53 PM.png

 

4b. If an integration has already been configured, click on the Configured button and skip to step 8.

 

Screen Shot 2015-04-15 at 11.47.30 AM.png

 

5. Click on Moodle Direct to be directed to the configuration page. Unconfigured platforms will have an unlit status button. Yellow status buttons indicate a partially configured integration. The green status button indicates a fully configured integration

 

Screen Shot 2015-08-12 at 3.12.02 PM.png

 

6. Fill out the three required fields: 

  • Create a shared key containing 8 alphanumerical characters
  • Your institution’s IP Address or default IP address: 255.255.255.255
  • An error callback URL or the default url: https://www.turnitin.com/api_error.asp

 

 

Tip: The shared key is used during the plug-in installation process within Moodle. We recommend making a note of the secret key once it has been entered for quick reference

 

7. Click Save to finalize the Moodle Direct configuration, or click Cancel to abort.

 

Screen Shot 2015-08-12 at 3.25.44 PM.png

 

8. Once the integration has been configured, you can download the latest version of the code package by clicking on this link.

 

Note: Moodle Direct Version 1 only works with Moodle versions 1.8 to 2.5.

You must to post a comment.
Last modified
14:26, 12 Aug 2015

Tags

Classifications

(not set)